API reference
Add a sending domain
Source: OpenAPI (openapi/openapi.yaml).
curl -X POST "https://api.sendtier.example/domains" \ -H "Authorization: Bearer st_live_REPLACE_ME" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "status": "pending", "records": [ { "purpose": "dkim", "type": "CNAME", "name": "string", "value": "string", "priority": 0, "status": "pending" } ], "last_checked_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z"}POST
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
Idempotency-Key?stringRepeated POST with the same key within 24 h returns the first response.
Length
length <= 255application/json- body
name*stringDomain created. Add the DNS records, then call verify.
application/json- response
id*stringname*stringstatus*stringValue in
"pending""verified""failed"records*array<>last_checked_at?stringFormat
date-timecreated_at*stringFormat
date-time